
/* AppDefs.H	    Created:	1994-08-22  Revised: 1994-08-22		*/

/* Module Definition Header						*/

/* Copyright ¸ 1994  Prominare Inc.  All Rights	Reserved.		*/


extern FONTMETRICS fm;		   /* Font Metrics Info			*/
extern HSWITCH hSwitch;		   /* Task List	Entry Handle		*/
extern HAB  hAB;		   /* Program Anchor Block Handle	*/
extern HMQ  hmqNotebook;	   /* Program Message Queue Handle	*/
extern HWND hwndNotebook;	   /* Client Window Handle		*/
extern HWND hwndNotebookFrame;	   /* Frame Window Handle		*/
extern HWND hmenuNotebook;	   /* Menu Handle			*/

VOID InitApp(HWND hwndFrame, HWND hwndClient, PSZ pszWindowListTitle);
HWND CreateStdWindow(HWND hwndParent, ULONG flStyle, ULONG flCreateFlags,
		     PSZ pszClientClass, PSZ pszTitle, ULONG styleClient,
		     HMODULE hmod, ULONG idResources, PHWND phwndClient,
		     LONG x, LONG y, LONG cx, LONG cy);
MRESULT	UreKeyProc(HWND	hWnd, ULONG msg, MPARAM	mp1, MPARAM mp2);
VOID	UreGetTemplate(HWND hWnd, ULONG	id);
MRESULT	EXPENTRY ExampleWndProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY NotebookDlgProc(HWND hWnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT	EXPENTRY NotebookPage1DlgProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
MRESULT	EXPENTRY NotebookPage2DlgProc(HWND hWnd, ULONG msg, MPARAM mp1,	MPARAM mp2);
MRESULT	EXPENTRY SuperExampleDlgProc(HWND hWnd,	ULONG msg, MPARAM mp1, MPARAM mp2);
BOOL EXPENTRY NotePageRegister(HAB hAB);
